Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpicedt.graphic.io.parser
Interface Parser

All Known Implementing Classes:
  DefaultParser, JPICParser

public interface Parser

This is the interface from which every parser passed as a parameter to "PECanvas.read()" (or similar methods from related classes) must inherit.

Method Summary
`Drawing` | `parse(Reader reader)` kicks off the parsing process

Method Detail

### parse

    public Drawing parse(Reader reader)
                  throws ParserException

  kicks off the parsing process

  Returns:
    a new instance of a Drawing populated from the content of the given reader
  Throws:
    `ParserException` - when a parsing error was encountered, e.g. syntax error, block mismatch,...

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug : syd@jpicedt.org